'reinit'


* (1) previsao: 
say 'open ../dataout/previsao.ctl'
'open ../dataout/previsao.ctl'


* (2) hindcast:
say 'open ../dataout/hindcast.ctl'
'open ../dataout/hindcast.ctl'


* (3) coorelacao deste modelo:
say 'open ../dataout/correlacao.ctl'
'open ../dataout/correlacao.ctl'



'set dfile 2'

'define climo=ave(prec.2, t=1, t=30)'
'define prevanom=prec.1(t=1)-climo'
'define climot=ave(tmp.2, t=1, t=30)'
'define prevanomt=tmp.1(t=1)-climot'
'define climop=ave(SPMT.2, t=1, t=30)'
'define prevanomp=SPMT.1(t=1)-climop'


'set x 1 384'
'set y 1 191'


* Escrevendo binario campo de prev de anomalia deste modelo:
'set gxout fwrite'
say 'set fwrite ../dataout/previsao_anomalia_prec_global.bin'
'set fwrite ../dataout/previsao_anomalia_prec_global.bin'
'd prec.1(t=1)'
'd prevanom'
'disable fwrite'

* Escrevendo figura desta previsao sem mascara estatistica:
'set gxout shaded'
'set display color white'
'run rgbset2.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'

'set clevs    -400  -300  -200  -100  -50  -25   25  50  100  200  300  400'
'set ccols  78    77    76    75    74   73   240  32  33   34   35   36   37'
 
'd smth9(prevanom)'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Previsao de Anomalia de Precipitacao AMJ/2020' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'


'gxprint ../dataout/previsao_anomalia_prec_global.png'

'c'


* Escrevendo figura da correlacao deste modelo:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'

'color.gs -levs  -0.8 -0.6 -0.4 -0.3 -0.2 0.2 0.3 0.4 0.6 0.8 -kind chocolate->gold->white->sienna->maroon'

'd smth9(corr.3(t=1))'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Correlacao de Anomalia de Precipitacao AMJ' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'set strsiz 0.11 0.12'
'set string 1 c 6'
'draw string 5.5 0.65  Fonte observada: CPCP' 

'gxprint ../dataout/correlacao_anomalia_prec_global.png'

'c'


* TEMPERATURA:--------------------------------------------


* Escrevendo binario campo de prev de anomalia deste modelo:
'set gxout fwrite'
say 'set fwrite ../dataout/previsao_anomalia_tmp_global.bin'
'set fwrite ../dataout/previsao_anomalia_tmp_global.bin'
'd tmp.1(t=1)'
'd prevanomt'
'disable fwrite'


* Escrevendo figura desta previsao sem mascara estatistica:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'

'set clevs -4 -3 -2 -1 -0.5 0.5 1 2 3 4'
'set ccols 49 48 46 44 42 240 22 24 26 28 29'


'd smth9(prevanomt)'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Previsao de Anomalia de Temperatura a 2m AMJ/2020' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'gxprint ../dataout/previsao_anomalia_tmp_global.png'

'c'


* Escrevendo figura da correlacao deste modelo:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'

'color.gs -levs  -0.8 -0.6 -0.4 -0.3 -0.2 0.2 0.3 0.4 0.6 0.8 -kind chocolate->gold->white->sienna->maroon'
'd smth9(corrt.3(t=1))'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Correlacao de Anomalia de Temperatura a 2m AMJ' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'set strsiz 0.11 0.12'
'set string 1 c 6'
'draw string 5.5 0.65  Fonte observada: ERA5' 


'gxprint ../dataout/correlacao_anomalia_tmp_global.png'
'c'


* PRESSAO:--------------------------------------------

* Escrevendo binario campo de prev de anomalia deste modelo:
'set gxout fwrite'
say 'set fwrite ../dataout/previsao_anomalia_spmt_global.bin'
'set fwrite ../dataout/previsao_anomalia_spmt_global.bin'
'd spmt.1(t=1)'
'd prevanomp'
'disable fwrite'


* Escrevendo figura desta previsao sem mascara estatistica:
'set gxout shaded'
'set display color white'
'run rgbset2.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'



'color.gs -levs  -6 -5 -4 -3 -2 -1 1 2 3 4 5 6 -kind blue->white->red'
 
'd smth9(prevanomp)'
'cbarn 0.9 0 5.5 0.35'


'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Previsao de Anomalia de Pressao ao Nivel do mar ' 
'draw string 5.5 7.90   [spmt] AMJ/2020 - CPTEC - BAM v1.2'

'gxprint ../dataout/previsao_anomalia_spmt_global.png'

'c'


* Escrevendo figura da correlacao deste modelo:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'

'color.gs -levs  -0.8 -0.6 -0.4 -0.3 -0.2 0.2 0.3 0.4 0.6 0.8 -kind chocolate->gold->white->sienna->maroon'
'd smth9(corrp.3(t=1))'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Correlacao de Anomalia de Pressao AMJ' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'set strsiz 0.11 0.12'
'set string 1 c 6'
'draw string 5.5 0.65  Fonte observada: ERA5' 


'gxprint ../dataout/correlacao_anomalia_spmt_global.png'
'c'

'quit'
