'reinit'


* (1) previsao: 
say 'open ../dataout/202107/previsao.ctl'
'open ../dataout/202107/previsao.ctl'


* (2) hindcast:
say 'open ../dataout/202107/hindcast.ctl'
'open ../dataout/202107/hindcast.ctl'


* (3) coorelacao deste modelo:
say 'open ../dataout/202107/correlacao.ctl'
'open ../dataout/202107/correlacao.ctl'



'set dfile 2'

'define climo=ave(prec.2, t=1, t=30)'
'define prevanom=prec.1(t=1)-climo'
'define climot=ave(tmp.2, t=1, t=30)'
'define prevanomt=tmp.1(t=1)-climot'
'define climop=ave(SPMT.2, t=1, t=30)'
'define prevanomp=(SPMT.1(t=1)+1000)-(climop+1000)'


'set x 1 384'
'set y 1 191'


* Escrevendo binario campo de prev de anomalia deste modelo:
*'set gxout fwrite'
*say 'set fwrite ../dataout/202107/previsao_anomalia_prec_global.bin'
*'set fwrite ../dataout/202107/previsao_anomalia_prec_global.bin'
*'d prec.1(t=1)'
*'d prevanom'
*'disable fwrite'

* Escrevendo figura desta previsao sem mascara estatistica:
'set gxout shaded'
'set display color white'
'run rgbset2.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
*'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'
'set lat -60 60'

'set clevs    -400  -300  -200  -100  -50  -25   25  50  100  200  300  400'
'set ccols  78    77    76    75    74   73   240  32  33   34   35   36   37'
 
'd smth9(prevanom)'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Previsao de Anomalia de Precipitacao SON/2021' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'


'gxprint ../dataout/202107/previsao_anomalia_prec_global.png'

'c'


* Escrevendo figura da correlacao deste modelo:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
*'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'
'set lat -60 60'

'color.gs -levs  -0.8 -0.6 -0.4 -0.3 -0.2 0.2 0.3 0.4 0.6 0.8 -kind chocolate->gold->white->sienna->maroon'

'd smth9(corr.3(t=1))'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Correlacao de Anomalia de Precipitacao SON' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'set strsiz 0.11 0.12'
'set string 1 c 6'
'draw string 5.5 0.65  Fonte observada: CPCP' 

'gxprint ../dataout/202107/correlacao_anomalia_prec_global.png'

'c'


* TEMPERATURA:--------------------------------------------


* Escrevendo binario campo de prev de anomalia deste modelo:
*'set gxout fwrite'
*say 'set fwrite ../dataout/202107/previsao_anomalia_tmp_global.bin'
*'set fwrite ../dataout/202107/previsao_anomalia_tmp_global.bin'
*'d tmp.1(t=1)'
*'d prevanomt'
*'disable fwrite'


* Escrevendo figura desta previsao sem mascara estatistica:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
*'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'
'set lat -60 60'

'set clevs -4 -3 -2 -1 -0.5 0.5 1 2 3 4'
'set ccols 49 48 46 44 42 240 22 24 26 28 29'


'd smth9(prevanomt)'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Previsao de Anomalia de Temperatura a 2m SON/2021' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'gxprint ../dataout/202107/previsao_anomalia_tmp_global.png'

'c'


* Escrevendo figura da correlacao deste modelo:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
*'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'
'set lat -60 60'

'color.gs -levs  -0.8 -0.6 -0.4 -0.3 -0.2 0.2 0.3 0.4 0.6 0.8 -kind chocolate->gold->white->sienna->maroon'
'd smth9(corrt.3(t=1))'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Correlacao de Anomalia de Temperatura a 2m SON' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'set strsiz 0.11 0.12'
'set string 1 c 6'
'draw string 5.5 0.65  Fonte observada: ERA5' 


'gxprint ../dataout/202107/correlacao_anomalia_tmp_global.png'
'c'


* PRESSAO:--------------------------------------------

* Escrevendo binario campo de prev de anomalia deste modelo:
*'set gxout fwrite'
*say 'set fwrite ../dataout/202107/previsao_anomalia_spmt_global.bin'
*'set fwrite ../dataout/202107/previsao_anomalia_spmt_global.bin'
*'d spmt.1(t=1)'
*'d prevanomp'
*'disable fwrite'


* Escrevendo figura desta previsao sem mascara estatistica:
'set gxout shaded'
'set display color white'
'run rgbset2.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
*'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'
'set lat -60 60'


*'color.gs -levs  -6000 -5000 -4000 -3000 -2000 -1000 1000 2000 3000 4000 5000 6000 -kind blue->white->red'
'color.gs -levs  -6 -5 -4 -3 -2 -1 1 2 3 4 5 6 -kind blue->white->red'
 
'd smth9(prevanomp)'
'cbarn 0.9 0 5.5 0.35'


'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Previsao de Anomalia de Pressao ao Nivel do mar ' 
'draw string 5.5 7.90   [spmt] SON/2021 - CPTEC - BAM v1.2'

'gxprint ../dataout/202107/previsao_anomalia_spmt_global.png'

'c'


* Escrevendo figura da correlacao deste modelo:
'set gxout shaded'
'set display color white'
'run rgbset.gs'
* branco:
'set rgb 240 255 255 255'
'set grid off'
*'set mproj scaled'
'c'
'set annot 0 0'
'set xlab off'
'set ylab off'
'set grads off'
'set lat -60 60'

'color.gs -levs  -0.8 -0.6 -0.4 -0.3 -0.2 0.2 0.3 0.4 0.6 0.8 -kind chocolate->gold->white->sienna->maroon'
'd smth9(corrp.3(t=1))'
'cbarn 0.9 0 5.5 0.35'

'set strsiz 0.21 0.22'
'set string 1 c 6'
'draw string 5.5 8.25  Correlacao de Anomalia de Pressao SON' 
'draw string 5.5 7.90   CPTEC - BAM v1.2'

'set strsiz 0.11 0.12'
'set string 1 c 6'
'draw string 5.5 0.65  Fonte observada: ERA5' 


'gxprint ../dataout/202107/correlacao_anomalia_spmt_global.png'
'c'

'quit'
